#
# spec file for package glipper
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glipper
Version:        2.4
Release:        11.2
Summary:        Clipboard Manager for GNOME
License:        GPL-2.0
Group:          Productivity/Other
Url:            https://launchpad.net/glipper
Source0:        https://launchpad.net/glipper/trunk/2.4/+download/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python-base
BuildRequires:  python-distutils-extra
BuildRequires:  update-desktop-files
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-keybinder
Requires:       python-xdg
Recommends:     python-appindicator
Recommends:     python-crypto
Recommends:     python-prctl
Recommends:     %{name}-lang
# devel package was in earlier versions
Obsoletes:      %{name}-devel < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires
%gconf_schemas_prereq
%if 0%{?suse_version} < 1120
%define python_sitelib %{py_sitedir}
%endif

%description
Glipper is a clipboardmanager for GNOME. It maintains a history of text
copied to the clipboard from which you can choose. Glipper uses plugins
to give the user all the extra functionality.

%lang_package

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}
# Fix installation of gconf schema
mkdir -p %{buildroot}/etc/gconf
mv %{buildroot}%{_datadir}/gconf/schemas %{buildroot}/etc/gconf
%find_gconf_schemas
%suse_update_desktop_file glipper-autostart
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{python_sitelib}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans
%preun -f %{name}.schemas_preun

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files -f %{name}.schemas_list
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%if %{?suse_version} <= 1230
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%else
%dir %{_datadir}/help/C/%{name}/
%doc %{_datadir}/help/C/%{name}/%{name}.xml
%endif
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_sysconfdir}/xdg/autostart/glipper-autostart.desktop
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-*.egg-info

%files lang -f %{name}.lang

%changelog
* Wed Sep 11 2013 zaitor@opensuse.org
- Add conditional for filelist due to different helpfiles structure
  in openSUSE 13.1 and newer.
* Sun Sep 16 2012 dimstar@opensuse.org
- Update to version 2.4:
  + lp#904367: high priority crash.
  + Bugs fixed: lp#936650
* Fri Apr  6 2012 vuntz@opensuse.org
- Update to version 2.3. Changes since version 1.0 include:
  + Remove GNOME applet and use app indicator or status icon.
  + Get rid of many dependencies.
  + Various fixes.
- Complete change BuildRequires following move from autotools to
  python-distutils:
  + Removed: gnome-doc-utils-devel, gnome-python-desktop,
    gtk2-devel, python-crypto, python-devel, python-gtk-devel,
    python-gnome-devel.
  + Added: python-base, python-distutils-extra.
- Add hicolor-icon-theme BuildRequires for directory ownership and
  definition of %%icon_theme_cache_* macros.
- Add update-desktop-files BuildRequires for
  %%suse_update_desktop_file.
- Remove now unneeded devel subpackage and add Obsoletes for it to
  main package.
- Remove now unneeded gnome-python-desktop and python-gnome
  Requires.
- Add new Requires and Recommends, following upstream
  recommendations:
  + Requires: python-gobject2, python-keybinder, python-xdg.
  + Recommends: python-appindicator, python-crypto, python-prctl.
- Change %%build and %%install to use python-distutils commands, and
  fix debian-ism in installation of gconf schemas.
- Update summary and description.
- Make package noarch.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Aug 28 2009 puzel@novell.com
- use new python macros
* Sun Jun 14 2009 vuntz@novell.com
- Clean up package for Contrib.
* Tue May 20 2008 zdenekzapp@gmail.com
- Initial package.
